Debian Bug report logs - #573408
configure error while loading sb-grovel makes SBCL uninstallable

version graph

Package: sbcl; Maintainer for sbcl is Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>; Source for sbcl is src:sbcl.

Reported by: Pierre THIERRY <nowhere.man@levallois.eu.org>

Date: Thu, 11 Mar 2010 08:45:02 UTC

Severity: grave

Found in version sbcl/1:1.0.25.0-1

Fixed in version sbcl/1:1.0.40.0-2

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#573408; Package sbcl. (Thu, 11 Mar 2010 08:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
New Bug report received and forwarded. Copy sent to Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Thu, 11 Mar 2010 08:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Pierre THIERRY <nowhere.man@levallois.eu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: configure error while loading sb-grovel makes SBCL uninstallable
Date: Thu, 11 Mar 2010 09:41:29 +0100
Package: sbcl
Version: 1:1.0.25.0-1
Severity: grave

When I install SBCL I get the following at configure time:

---------8<-------------------------8<----------------------------------
usr/lib/common-lisp/bin/sbcl.sh loading and dumping clc.
; loading system definition from /usr/lib/sbcl/sb-grovel/sb-grovel.asd into
; #<PACKAGE "ASDF1">
; registering #<SYSTEM SB-GROVEL {1003247EC1}> as SB-GROVEL
;
; compilation unit aborted
;   caught 1 fatal ERROR condition

Error running init-common-lisp-controller-v4: Lock on package SB-IMPL violated
                                              when interning NATIVE-FILE-KIND.
See also:
  The SBCL Manual, Node "Package Locks"
mv: cannot stat `sbcl-new.core': No such file or directory
FAILED
---------8<-------------------------8<----------------------------------

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (900, 'stable'), (600, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sbcl depends on:
ii  common-lisp-controller        6.18       Common Lisp source and compiler ma
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

Versions of packages sbcl recommends:
ii  binfmt-support                1.2.17     Support for extra binary formats

Versions of packages sbcl suggests:
ii  sbcl-doc                    1:1.0.25.0-1 Documentation for Steel Bank Commo
ii  sbcl-source                 1:1.0.25.0-1 Source code files for SBCL
ii  slime                       1:20100220-1 Superior LISP Interaction Mode for

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, thomas@intevation.de, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>:
Bug#573408; Package sbcl. (Tue, 20 Apr 2010 20:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Arendsen Hein <thomas@intevation.de>:
Extra info received and forwarded to list. Copy sent to thomas@intevation.de, Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>. (Tue, 20 Apr 2010 20:12:05 GMT) Full text and rfc822 format available.

Message #10 received at 573408@bugs.debian.org (full text, mbox):

From: Thomas Arendsen Hein <thomas@intevation.de>
To: Debian Bug Tracking System <573408@bugs.debian.org>
Subject: Re: error while loading sb-grovel makes SBCL uninstallable
Date: Tue, 20 Apr 2010 22:10:23 +0200
Package: sbcl
Version: 1:1.0.25.0-1
Severity: normal


Bugs #547682 and #535305 discuss the same thing and provide workarounds.

#535305 is marked as closed in Sep 2009, but the packages did not yet migrate
from sid to squeeze.

sbcl is installable, but according to #535305 asdf is broken.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (550, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages sbcl depends on:
ii  common-lisp-controller        6.18       Common Lisp source and compiler ma
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

Versions of packages sbcl recommends:
ii  binfmt-support                1.2.18     Support for extra binary formats

Versions of packages sbcl suggests:
pn  sbcl-doc                      <none>     (no description available)
pn  sbcl-source                   <none>     (no description available)
pn  slime                         <none>     (no description available)

-- no debconf information




Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Sat, 17 Jul 2010 10:06:10 GMT) Full text and rfc822 format available.

Notification sent to Pierre THIERRY <nowhere.man@levallois.eu.org>:
Bug acknowledged by developer. (Sat, 17 Jul 2010 10:06:11 GMT) Full text and rfc822 format available.

Message #15 received at 573408-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 573408-close@bugs.debian.org
Subject: Bug#573408: fixed in sbcl 1:1.0.40.0-2
Date: Sat, 17 Jul 2010 10:02:17 +0000
Source: sbcl
Source-Version: 1:1.0.40.0-2

We believe that the bug you reported is fixed in the latest version of
sbcl, which is due to be installed in the Debian FTP archive:

sbcl-doc_1.0.40.0-2_all.deb
  to main/s/sbcl/sbcl-doc_1.0.40.0-2_all.deb
sbcl-source_1.0.40.0-2_all.deb
  to main/s/sbcl/sbcl-source_1.0.40.0-2_all.deb
sbcl_1.0.40.0-2.diff.gz
  to main/s/sbcl/sbcl_1.0.40.0-2.diff.gz
sbcl_1.0.40.0-2.dsc
  to main/s/sbcl/sbcl_1.0.40.0-2.dsc
sbcl_1.0.40.0-2_i386.deb
  to main/s/sbcl/sbcl_1.0.40.0-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573408@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated sbcl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Sat, 17 Jul 2010 11:22:25 +0200
Source: sbcl
Binary: sbcl sbcl-doc sbcl-source
Architecture: source all i386
Version: 1:1.0.40.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 sbcl       - A Common Lisp compiler and development system
 sbcl-doc   - Documentation for Steel Bank Common Lisp
 sbcl-source - Source code files for SBCL
Closes: 573408
Changes: 
 sbcl (1:1.0.40.0-2) unstable; urgency=low
 .
   * Breaking too old cl-asdf (Closes: #573408)
   * Line-Break longer relationship lines
Checksums-Sha1: 
 596ebf668864451519d717ad0735f9bb306486a6 1652 sbcl_1.0.40.0-2.dsc
 6728928e963707a8a56b4e53005496fb1e10898f 63066 sbcl_1.0.40.0-2.diff.gz
 ff49e79246830c85fea532ec604dfab13a0e450a 1307912 sbcl-doc_1.0.40.0-2_all.deb
 fb190ec81ab437df22fa740b92e9e7bba9b92c2a 3546330 sbcl-source_1.0.40.0-2_all.deb
 c993f25fdc8a66a700a47532fc3c4d7ba23bfde1 9863732 sbcl_1.0.40.0-2_i386.deb
Checksums-Sha256: 
 ab4903778d2a859c8ab112509bc855a5072f679030d9730d15b09c925ba37485 1652 sbcl_1.0.40.0-2.dsc
 e8c0a6a8cab8707d88c98bf92f4e41b6eaad6775b00f6ddc518cc4d1632b37b3 63066 sbcl_1.0.40.0-2.diff.gz
 d50a8738d71f416babf3c0ba7c167783bf2b4e1151db25fa7884729f091a40a2 1307912 sbcl-doc_1.0.40.0-2_all.deb
 80263a38aa54e7485a7f58a066ce9dbe06b21118dbadfb860f6fa05fb20a8942 3546330 sbcl-source_1.0.40.0-2_all.deb
 1ce44c6dd5d8b827ef6d06055e4a46e14f8d4fa225dc601528ddba3848516e7b 9863732 sbcl_1.0.40.0-2_i386.deb
Files: 
 572c17b432613f1780a2237c645f57d6 1652 lisp optional sbcl_1.0.40.0-2.dsc
 5f790b2600626623f119ced04431cbcd 63066 lisp optional sbcl_1.0.40.0-2.diff.gz
 a0fd0055554e9f34f041017895e3c9d0 1307912 doc optional sbcl-doc_1.0.40.0-2_all.deb
 51455aafea90d3455b648ebf71273df9 3546330 lisp optional sbcl-source_1.0.40.0-2_all.deb
 15c4eaa4ec17237f516e26979d142f6b 9863732 lisp optional sbcl_1.0.40.0-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAwAGBQJMQXpaAAoJEOGDbms1cuRhu1kH/jCGgSXSCFhMZMb6ogdTzjOG
tbGSAxrm+/M2Niyn2kxwbyy5R0Yoxa2fuvPuRlDp+B8CCKp9+B6h/IVe+f8i4VQQ
4wpkhNJQip8hOG8h8eDqlXFUL53ruSaojL7Wa/HpovHzP3pcOvgcCNbQdoVKqqda
xIwqcUM5cz6Ymqta2SY5Jilh08Gf3qP1DssMvGBQE+dJqxZgNB7gzEax5QdB+3OH
3NPWeyM4Q56ySbVmsWdYa5+pNea22W6ey8Kl87+8Ns3VC7E8TThrW3fKmGsqGg4L
68Zxety0LLT+JBnwHq1mhmDpuyHKzlmXOe2WXrSBTTdvr050Yrr+p1H4l0YiX10=
=r3qA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Aug 2010 07:31:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:50:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.